Bug 1868371

Summary: CentOS8 - numpad do not work in KDE Plasma
Product: [Fedora] Fedora EPEL Reporter: Josef Marianek <josef.mariaanek>
Component: qt5-qtbaseAssignee: Than Ngo <than>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: epel8CC: alessandro.baggi, aram.minasyan, bgroper, crxssi, jgrulich, jreznik, kde-sig, mailbox, rdieter, than
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1882375 (view as bug list) Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1882375    

Description Josef Marianek 2020-08-12 12:04:18 UTC
Description of problem:
I use KDE Plasma 5 in my CentOS8 installation and there are problems with keyboard input:
- numpad do not work (cannot write numbers using numpad),
- cannot put letters with accent into search field in launcher

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Probably problem with underaying Qt libs (wrong compilation configuration).

Comment 1 Josef Marianek 2020-08-12 12:08:05 UTC
In gnome apps numpad works, problem is only in KDE (qt) apps.

Comment 2 bgroper 2020-08-13 09:12:13 UTC
I have same problem using CentOS 8 and KDE Plasma 5.18.4
It seems the bug has emerged since updating a bunch of plasma packages circa end June 2020.

Comment 3 Josef Marianek 2020-08-20 19:37:11 UTC
More info here:
https://forums.centos.org/viewtopic.php?t=75283&p=316897

Comment 4 alessandro.baggi 2020-09-08 09:51:57 UTC
I have same problem on CentOS 8.2 and Plasma from EPEL.

I noticed that to make the numeric keypad working I must press SHIFT + NUM and digits appear on Plasma Application (Konsole, Kcalc, Konqueror...)

Comment 5 Josef Marianek 2020-09-10 06:29:36 UTC
Solved i qt bugreport system there:
https://bugreports.qt.io/browse/QTBUG-75523

So installing libxkbcommon-x11-dev and rebuilding qt libs will help.
Hope this will do EPEL team and prepare updated Qt packages.

Comment 6 Rex Dieter 2020-09-10 19:15:35 UTC
Thanks for the feedback, this commit should effectively fix it,

https://src.fedoraproject.org/rpms/qt5-qtbase/c/6dbb795e9f7254c1e35b727b4b9c35dadf913787?branch=master

Comment 7 Josef Marianek 2020-09-11 10:17:32 UTC
Thank you! Please do you know when will come fixed Qt packages update (EPEL repo)?

Comment 8 crxssi 2020-09-23 16:30:12 UTC
(In reply to Josef Marianek from comment #7)
> Thank you! Please do you know when will come fixed Qt packages update (EPEL
> repo)?

I have the same question.  We can't use KDE/QT apps without the numeric keypad working properly, so it is a big issue.

I am not sure the issue resides in packages from EPEL.  On my system it is showing qt5-qttools-common and qt5-qtbase as coming from the AppStream repo.

Source       : qt5-qtbase-5.12.5-4.el8.src.rpm
Repository   : AppStream

Thanks

Comment 9 Josef Marianek 2020-09-24 11:59:17 UTC
> I am not sure the issue resides in packages from EPEL.  On my system it is
> showing qt5-qttools-common and qt5-qtbase as coming from the AppStream repo.
> 
> Source       : qt5-qtbase-5.12.5-4.el8.src.rpm
> Repository   : AppStream

You are right, in EPEL is KDE, Qt is in AppStream. My mistake, sorry.
Fixed Qt packages still do not come...

Comment 10 Jan Grulich 2020-09-24 12:04:55 UTC
I will clone this bug for RHEL and try to fix it there.

Comment 11 Josef Marianek 2020-09-24 12:10:40 UTC
Thank you.
I've entered new bug to CentOS 8 in category qt5:

https://bugs.centos.org/view.php?id=17750

Comment 12 Fredy Paquet 2021-03-14 08:42:58 UTC
as a workaround, until fix is published, you can use packages from flathub
keypad is working there as expected

https://flathub.org/apps/details/org.kde.kcalc

Comment 13 Aram Minasyan 2021-03-17 07:20:17 UTC
I have rebuilt the qt-base packages to enable numpad support
https://download.copr.fedorainfracloud.org/results/aminasyan/el8-collection/epel-8-x86_64/02073977-qt5-qtbase/